turbogears2 (2.3.5-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * New upstream release (Closes: #750259).
  * Rebased routes-mapper-minimize-by-default (patched file has moved).
  * Removed now useless loosen_webob_dependency.patch.
  * Ran wrap-and-sort -t -a as it was unreadable.
  * Added new depends: python-crank.
  * Switched from CDBS and python-support to dh-python.
  * Added debian/source/options to ignore egg-info changes.
  * Standards-Version is now 3.9.6 (no change but the above).
  * rm -rf /usr/lib/python*/dist-packages/tests (Closes: #727135).

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Jul 2015 08:32:02 +0000

turbogears2 (2.1.5-2) unstable; urgency=low

  * Add required Python Babel dependency for internationalization.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 28 Jun 2012 06:16:46 +0200

turbogears2 (2.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 08 Jun 2012 15:35:29 +0200

turbogears2 (2.1.4-2) unstable; urgency=low

  * Loosen dependency on WebOb.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 26 Feb 2012 21:47:45 +0100

turbogears2 (2.1.4-1) unstable; urgency=low

  * New upstream release (closes: #608730), refresh patch to apply clean.
  * New maintainer (closes: #658926), update packaging bits.
  * Use 3.0 (quilt) package format.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 08 Feb 2012 12:35:23 +0000

turbogears2 (2.0.3-3) unstable; urgency=low

  * Orphan package.

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 01 Feb 2012 18:23:33 +0100

turbogears2 (2.0.3-2) unstable; urgency=low

  * add quilt support (build-dep, CDBS snippet, README.source)
  * add patch routes-mapper-minimize-by-default which enables Routes
    mapper minimization: it is required by TG2, but it has been disabled
    in python-routes (>= 1.12). Thanks to Piotr Ożarowski for the patch!
    (Closes: #574640)
  * bump Standards-Version to 3.8.4, no changes needed
  * fix unneeded build-dep on python-dev

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 21 Mar 2010 22:56:08 +0100

turbogears2 (2.0.3-1) unstable; urgency=low

  * new upstream release
  * debian/control:
    - bump turbojson dependency to the last (debian) revision with sane
      dependencies, i.e. 1.2.1-3 (Closes: #541022)
    - bump Standards-Version to 3.8.3 (no changes needed)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 24 Aug 2009 17:27:05 +0200

turbogears2 (2.0.1-2) unstable; urgency=low

  * first upload to unstable
  * debian/control: clarify in description the respective roles of
    python-{turbogears2,tg.devtools}

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 02 Aug 2009 16:13:50 +0200

turbogears2 (2.0.1-1) experimental; urgency=low

  * New upstream release
    - debian/control: build deps/recommends accordingly

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 03 Jul 2009 12:01:46 +0200

turbogears2 (2.0-3) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * adopting package
  * new upstream release
  * resurrect packaging from last Python Modules Team work, with the
    blessing of the last maintainer there; thanks Gustavo Noronha Silva!
  * empty README.Debian, now obsolete
  * debian/control
    - set Maintainer to Python Modules Team, Uploaders to me
    - recommend python-tg.devtools, to get "paster quickstart"
    - revamp Description
    - sync (build-)dependencies with what currently required
      (Closes: #530879, #532729)
    - bump Standards-Version to 3.8.2 (no changes needed)
  * debian/watch: make it point to current download site
  * debian/rules: remove simple-patchsys, as we have no patches anymore

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 20 Jun 2009 15:15:37 +0200

turbogears2 (2.0-2) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Tue, 16 Jun 2009 08:13:00 +0200

turbogears2 (2.0-1) unstable; urgency=low

  * Merging upstream version 2.0.
  * Tidy rules file.
  * Updating to standards 3.8.1.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Mon, 18 May 2009 20:47:44 +0200

turbogears2 (2.0~b4) experimental; urgency=low

  * Initial release (Closes: #511884).

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Feb 2009 16:09:00 +0100

turbogears2 (1.9.7~a2-1) unstable; urgency=low

  * New, development release of the next major TG version

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 01 Jul 2008 22:33:38 -0300

turbogears (1.0.4.4-1) unstable; urgency=low

  * New upstream release
  * debian/control:
  - replaced the dependency on python-setuptools for a dependency on
    python-pkg-resources (Closes: #468708)
  * debian/control, debian/patches/01_disable_requirements.diff:
  - no longer try to fight the dumb setuptools dependency stuff, we'll
    just play along, providing the build system with all the runtime needs
  * 03_sqlalchemy_identity_toolbox_fixup.diff:
  - updated for new version
  * debian/patches/02_sqlalchemy_default_if_no_correct_sqlobject.diff:
  - use the actual requirement expression which is defined in setup.py, instead
    of hardcoding our own
  * debian/control:
  - removed the debian revision from all deps and build-deps which were
    refering to -1 revisions
  - updated turbokid's requirement to 1.0.4
  - updated turbojson's requirement to 1.1.2
  - updated python-dispatch's requirement to 0.5a.svn20080510
  - updated sqlobject's requirement to 0.8
  - accept patch by Vincent Bernat <bernat@debian.org> to fix celementtree
    deps given that python 2.5 already has the module builtin (Closes: #476225)
  * debian/patches/04_loosen_sqlobject_requirement.diff:
  - make sqlobject requirement be >=0.8, so that it will work with the
    version currently in unstable, with which it is supposed to work
    (Closes: #479713, #478134)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 10 May 2008 18:08:44 -0300

turbogears (1.0.4.3-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

  [ Piotr Ożarowski ]
  * Bump required python-pastescript version to 1.6.1.1-1 (Closes: #460258)

  [ Gustavo Noronha Silva ]
  * New upstream release (Closes: #462599, 463490)
  * debian/control:
  - remove -1 from setuptools' version requirement on build-deps

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 11 Feb 2008 00:08:02 -0200

turbogears (1.0.4~b3-1) unstable; urgency=low

  * New upstream release
  - fixes quickstart (Closes: #457303)
  * debian/patches/01_disable_requirements.diff,
    debian/patches/02_sqlalchemy_default_if_no_correct_sqlobject.diff:
  - updated to the new version
  * debian/patches/01_disable_requirements.diff:
  - also hardcode the specific version requirement quickstart tries to
    add for sqlobject and sqlalchemy, since we don't list the requirements
    on setup.py
  * debian/control:
  - updated Standards-Version, no changes required

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 01 Jan 2008 19:16:34 -0200

turbogears (1.0.4~b2-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * XS-Vcs-Svn field renamed to Vcs-Svn

  [ Gustavo Noronha Silva ]
  * New upstream release
  - supports the new version of SQLAlchemy (Closes: #449588)
  * debian/patches/01_disable_requirements.diff,
    debian/patches/02_sqlalchemy_default_if_no_correct_sqlobject.diff:
  - patches updated for the new version
  * debian/control:
  - added python-elixir to Recommends

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 16 Nov 2007 18:41:56 -0200

turbogears (1.0.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #439370, #434443)
  - includes the xml.etree patch (Closes: #433192)
  - includes fix for the mismatch between the identity model classes and
    the tables used by toolbox (Closes: #415909)
  * 01_disable_requirements.diff,
    02_sqlalchemy_default_if_no_correct_sqlobject.diff,
    03_sqlalchemy_identity_toolbox_fixup.diff:
  - updated to match new version
  * debian/patches/05_xml_etree.diff:
  - removed; no longer needed, since it has been applied upstream
  * debian/patches/04_keep_using_pyprotocols.diff, debian/control:
  - removed; now we're able to use the newest python-decoratortools package;
  - also depend on the new package, thus

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 15 Sep 2007 15:01:20 -0300

turbogears (1.0.2.2-2) UNRELEASED; urgency=low

  * debian/patches/05_xml_etree.diff: Try importing xml.etree from python2.5
    and fall-back to elementtree if not available
    (http://trac.turbogears.org/changeset/3262)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 05 Aug 2007 23:17:29 -0400

turbogears (1.0.2.2-1) unstable; urgency=low

  * New upstream release
  - includes fix for SA autocommit, which was not working because
    the call was being optimized out;
    See: http://trac.turbogears.org/changeset/2874
    (Closes: #408358)
  * debian/control:
  - changed python-markup to python-genshi on Suggests, following the
    upstream (and Debian package) rename (Closes: #419567)
  - Build-Depends on python-support >= 0.6.4, which automatically renames
    the egg-info directories to remove the python version number from their
    names
  - updated build-dependencies according to the python policy (python-support
    and cdbs affected)
  - updated dependencies according to the requirements expressed in setup.py
  * debian/watch:
  - added to watch for new versions
  * debian/patches/01_disable_requirements.diff:
  - updated according to the changes in upstream package
  * debian/patches/04_keep_using_pyprotocols.diff:
  - added; reverse change done upstream which makes TurboGears
    depend on PEAK's peak.util.decorators module, which is not yet
    packaged for Debian; since the change is minimal and doesn't seem
    to affect other modules in TG, I decided to reverse it
  * debian/rules:
  - fixed pyversions script usage to only get the current default python
    version, in order to rename the egg-info directory
  - removed hack to rename the egg-info directory, since python-support
    0.6.4 already does this

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 12 May 2007 14:45:02 -0300

turbogears (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 14 Feb 2007 23:33:00 -0200

turbogears (1.0-1) unstable; urgency=medium

  * New upstream release. 1.0 is here!
  * debian/patches/01_disable_requirements.diff,
    debian/patches/03_sqlalchemy_identity_toolbox_fixup.diff:
  - updated to match the new version
  * debian/patches/04_sqlalchemy_fix_identity_relations.diff:
  - removed; applied upstream
  * debian/NEWS.Debian, debian/README.Debian:
  - document changes and important information concerning upgrade
    from the preview releases to the 1.0 stable release
  * debian/control:
  - moved python-support to Build-Depends, following lintian's advice
  * urgency set to medium since this is basically the 1.0~b series
    with bug fixes

 -- Gustavo Noronha Silva <kov@debian.org>  Fri,  5 Jan 2007 17:50:16 -0200

turbogears (1.0~b1-4) UNRELEASED; urgency=low

  * Added XS-Vcs-Svn field

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu, 23 Nov 2006 14:44:59 +0100

turbogears (1.0~b1-3) unstable; urgency=high

  * debian/README.Debian:
  - updated to remove incorrect info on SQLObject and also to improve a little
    on some descriptions (Closes: #398134)

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 13 Nov 2006 22:42:19 -0200

turbogears (1.0~b1-2) unstable; urgency=low

  * debian/patches/04_sqlalchemy_fix_identity_relations.diff:
  - added, grabbed from upstream to fix doubled relations declarations
    canceling each other; patch from:
     http://trac.turbogears.org/turbogears/changeset/1958#file1

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  8 Nov 2006 23:28:07 -0200

turbogears (1.0~b1-1) unstable; urgency=low

  * First TG beta release; first upload to unstable!
  - no longer provides the docs HTMLs, for they are being worked on
    the wiki and site; check them for the docs
  * debian/python-turbogears.doc-base.docs:
  - removed;
  * debian/patches/01_disable_requirements.diff:
  - updated for the new version
  * debian/patches/03_sqlalchemy_identity_toolbox_fixup.diff:
  - make toolbox work when the project is using sqlalchemy + identity
  * debian/README.Debian:
  - document SQLAlchemy as default backend;

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 10 Sep 2006 22:09:57 -0300

turbogears (0.9a9-1) experimental; urgency=low

  [ Gustavo Noronha Silva ]
  * New upstream release
  * debian/patches/01_disable_requirements.diff:
  - updated
  * debian/patches/{02_fix_toolbox_configuration.diff,03_fix_admi18n.diff}:
  - removed; fixes included in upstream code
  * got the docs from the previous tarball since this new tarball does not
    provide them;
  * debian/control:
  - added python-sqlalchemy as alternative to the development version of
    SQLObject (Closes: #384415)
  * debian/patches/02_sqlalchemy_default_if_no_correct_sqlobject.diff:
  - allow sqlalchemy to be the default ORM if the required SQLObject version
    is not available; this may be allow me to upload TG to unstable this week
    if no critical problems arise

  [ Piotr Ozarowski ]
  * Added SQLAlchemy to long description

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 26 Aug 2006 21:10:11 -0300

turbogears (0.9a8-3) experimental; urgency=low

  * debian/control:
  - Recommend python-pysqlite2 (Closes: #381156)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 02 Aug 2006 23:33:35 -0300

turbogears (0.9a8-2) experimental; urgency=low

  * debian/patches/03_fix_admi18n.diff:
  - added; fixes string collection and pot file generation in
    admi18n - patch by Joseph Wenninger <jowenn@kde.org> grabbed from
    the project's trac ticket #945

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 24 Jul 2006 19:51:11 -0300

turbogears (0.9a8-1) experimental; urgency=low

  * New upstream release (Closes: #379078)
  * debian/patches/01_disable_requirements.diff:
  - updated to the new version; also avoid using ez_setup, which would
    require a newer setuptools which is not in Debian yet without the
    need;
  * debian/patches/02_project_start_py2.4.diff:
  - removed; the TurboGears build system is now smart enough to auto
    detect the Python version with which it was built
  * debian/patches/02_fix_toolbox_configuration.diff:
  - added; bug fix grabbed from the 1.0 branch of the upstream SVN;
    avoids bug in the Identity framework code which would not allow
    Catwalk to add users, and maybe more problems;
  * debian/control:
  - build-depend on python-all, for we will sometimes need
    python2.4, instead of simply 'python'

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 22 Jul 2006 15:02:35 -0300

turbogears (0.9a6-3) experimental; urgency=low

  * debian/python-turbogears.install, debian/rules,
    debian/python-turbogears.doc-base:
  - install documentation, and replace the ${root} substitution variable
    in the HTMLs for the absolute path of their 'root' when installed
    (Closes: #378448)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  9 Jul 2006 15:33:40 -0300

turbogears (0.9a6-2) experimental; urgency=low

  * debian/control:
  - fixed dependencies so that the sqlobject snapshot from experimental
    is required, as well as the new python-policy conformant cheetah
  * debian/patches/01_disable_turbocheetah.diff:
  - removed in favor of 03_disable_sqlobject_requirement.diff
  * debian/patches/01_disable_requirements.diff:
  - added, do not honor setup.py requirements
  - do not require stuff in setup.py
  * debian/rules:
  - remove hack to detect and apply changing the python hashbang (mainly
    in the tg-admin script) since this appears to be taken care of by
    python-support now

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  9 Jul 2006 15:16:10 -0300

turbogears (0.9a6-1) experimental; urgency=low

  * First 0.9 release for Debian
  - supports the new Python Policy
  * debian/control:
  - updated dependencies; pastescript, formencode >= 0.5.1-2,
    cherrypy >= 2.2.1, simplejson >= 1.3, ruledispatch, nose >= 0.8,
    sqlobject >= 0.7.0-3, celementtree >= 1.0.5-6,
    pastedeploy >= 0.5, paste, turbokid >= 0.9.6, turbojson >= 0.9.2,
    cheetah (needed by quickstart);
  - moved python and python-setuptools to build-deps, since they
    are needed on clean
  - fixed Homepage pseudo-header; thanks to Piotr Ozarowski for pointing
    the relevant section of Developer's Reference
  - updated build-dep to mention python-setuptools >= 0.6a11
  - updated Standards-Version to 3.7.2
  * debian/patches/00_avoid_deps_on_build.diff,
    debian/patches/01_reloader_args_for_cherrypy2.2.diff:
  - removed; no longer apply
  * debian/patches/01_disable_turbocheetah.diff:
  - added, to disable turbocheetah for now (there's no egg-info)
    support for the package in Debian, and it is not required,
    since we have kid
  * debian/patches/02_project_start_py2.4.diff:
  - updated
  * debian/copyright:
  - updated to mention the copyright information for the json
    plugin
  * debian/rules:
  - fix permissions, so we don't have lots of file with the executable
    bit set without the need for that
  * debian/python-turbogears.{postinst,prerm}:
  - removed; generated by dh_pysupport now

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 15 May 2006 21:59:06 -0300

turbogears (0.8.9-1) UNRELEASED; urgency=low

  * Initial Release (Closes: #338676)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed,  3 May 2006 22:52:25 -0300

